Skip to main content
POST
Charge a card

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

card_id
string
required

Body

application/json
amount_in_cents
integer

Amount to charge, in the currency's minor unit. Required.

currency
string

ISO 4217 currency code. Defaults to USD.

company_id
integer

Charge through this company's gateway. The caller must be an admin or member of the company.

country_id
integer

With company_id, use the gateway configured for this country, falling back to the company default.

test
boolean

Charge through the test gateway.

Response

Charge processed successfully

amount
integer
required
card
object
required
currency_code
string
required
id
integer
required
message
string
required
order_number
string
required
state
string
required
succeeded
boolean
required